Update policy
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/life-insurance/{policy_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"carrier_name": "<string>",
"policy_number": "<string>",
"death_benefit": 123,
"cash_value": 123,
"beneficiaries": [
{
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123,
"is_irrevocable": true
}
],
"employer_name": "<string>",
"claim_filed_date": "2023-12-25",
"institution_contact_id": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/life-insurance/{policy_id}"
payload = {
"carrier_name": "<string>",
"policy_number": "<string>",
"death_benefit": 123,
"cash_value": 123,
"beneficiaries": [
{
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123,
"is_irrevocable": True
}
],
"employer_name": "<string>",
"claim_filed_date": "2023-12-25",
"institution_contact_id": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_name: '<string>',
policy_number: '<string>',
death_benefit: 123,
cash_value: 123,
beneficiaries: [
{
name: '<string>',
relationship: '<string>',
percentage_share: 123,
is_irrevocable: true
}
],
employer_name: '<string>',
claim_filed_date: '2023-12-25',
institution_contact_id: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/life-insurance/{policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K9LI01AJ0T11HRYE78AN7LLL",
"case_id": "<string>",
"policy_type": "whole_life",
"carrier_name": "Northwestern Mutual",
"policy_number": "***1234",
"status": "active",
"death_benefit": 250000,
"cash_value": 45000,
"beneficiaries": [
{
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123,
"is_irrevocable": true
}
],
"employer_name": "<string>",
"claim_filed_date": "2023-12-25",
"claim_paid_date": "2023-12-25",
"claim_paid_amount": 123,
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Life Insurance
Update policy
PATCH
/
cases
/
{case_id}
/
life-insurance
/
{policy_id}
Update policy
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
term_life, whole_life, universal_life, variable_life, group_employer, group_government, supplemental, accidental_death, annuity_with_death_benefit Full policy number.
Available options:
active, inactive, lapsed, claimed, paid_out, denied, unknown Show child attributes
Show child attributes
Available options:
not_filed, filed, under_review, approved, paid, denied Response
Policy updated.
Show child attributes
Show child attributes
⌘I

